Bug 595811 - bltk_plot fails in initialization
Summary: bltk_plot fails in initialization
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bltk
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jiri Skala
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 16:45 UTC by Jiri Koten
Modified: 2014-11-09 22:33 UTC (History)
2 users (show)

Fixed In Version: bltk-1.0.9-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 19:56:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Koten 2010-05-25 16:45:03 UTC
Description of problem:
There is empty function set_bltk_root in /usr/bin/bltk_plot because of that bltk_plot tries to create temp files in the root directory /.

Version-Release number of selected component (if applicable):
bltk-1.0.9-11.el6.x86_64

$ bltk_plot -y bat -x N -R ~/.bltk/idle.results/
/usr/bin/bltk_plot: line 81: set_bltk_root: command not found
mkdir: cannot create directory `/bltk_plot.17561': Permission denied
ERROR: mkdir -pm0777 /bltk_plot.17561 failed

Comment 2 RHEL Program Management 2010-05-27 12:55:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Jiri Koten 2010-07-26 13:56:59 UTC
Verified in bltk-1.0.9-14.el6. bltk_plot starts w/o error.

Comment 5 releng-rhel@redhat.com 2010-11-10 19:56:59 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.